-- ----------------------------
-- Table structure for SDIC_WFL_TO_DO_LIST
-- ----------------------------
CREATE TABLE "SDIC_WFL_TO_DO_LIST" (
  "WFL_TO_DO_LIST_ID" NUMBER NOT NULL ,
  "DOCUMENT_ID" NUMBER ,
  "DOCUMENT_INFO" VARCHAR2(200 BYTE) ,
  "USER_ID" NUMBER ,
  "ROLE_ID" NUMBER ,
  "CREATE_DATE" DATE ,
  "SUBMIT_BY" NUMBER ,
  "URL" VARCHAR2(500 BYTE) ,
  "CREATED_BY" NUMBER ,
  "CREATION_DATE" DATE ,
  "LAST_UPDATED_BY" NUMBER ,
  "LAST_UPDATE_DATE" DATE ,
  "DOCUMENT_CATEGORY" VARCHAR2(30 BYTE) ,
  "DONE_FLAG" VARCHAR2(1 BYTE) ,
  "LIST_DESC" VARCHAR2(50 BYTE) ,
  "WINID" VARCHAR2(50 BYTE) 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."DOCUMENT_ID" IS '单据id';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."DOCUMENT_INFO" IS '代办描述';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."USER_ID" IS '用户id';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."CREATE_DATE" IS '提交时间';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."SUBMIT_BY" IS '提交人';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."URL" IS '网址url';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."DOCUMENT_CATEGORY" IS '单据类别';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."DONE_FLAG" IS '是否已完成待办';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."LIST_DESC" IS '待办描述';
COMMENT ON COLUMN "SDIC_WFL_TO_DO_LIST"."WINID" IS '窗口id';
COMMENT ON TABLE "SDIC_WFL_TO_DO_LIST" IS '国投二开待办事项';

-- ----------------------------
-- Primary Key structure for table SDIC_WFL_TO_DO_LIST
-- ----------------------------
ALTER TABLE "SDIC_WFL_TO_DO_LIST" ADD CONSTRAINT "SDIC_WFL_TO_DO_LIST_PK" PRIMARY KEY ("WFL_TO_DO_LIST_ID");


CREATE SEQUENCE  "SDIC_WFL_TO_DO_LIST_S"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE
