CREATE TABLE "SYS_RESOURCE_B" (
  "RESOURCE_ID" NUMBER(38) NOT NULL ,
  "URL" VARCHAR2(255 BYTE) NOT NULL ,
  "TYPE" VARCHAR2(15 BYTE) ,
  "NAME" VARCHAR2(40 BYTE) ,
  "DESCRIPTION" VARCHAR2(240 BYTE) ,
  "LOGIN_REQUIRE" VARCHAR2(1 BYTE) DEFAULT 'Y' ,
  "ACCESS_CHECK" VARCHAR2(1 BYTE) DEFAULT 'Y' ,
  "OBJECT_VERSION_NUMBER" NUMBER(38) DEFAULT 1 ,
  "REQUEST_ID" NUMBER(38) DEFAULT -1 ,
  "PROGRAM_ID" NUMBER(38) DEFAULT -1 ,
  "CREATED_BY" NUMBER(38) DEFAULT -1 ,
  "CREATION_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATED_BY" NUMBER(38) DEFAULT -1 ,
  "LAST_UPDATE_DATE" TIMESTAMP(6) DEFAULT CURRENT_TIMESTAMP ,
  "LAST_UPDATE_LOGIN" NUMBER(38) DEFAULT -1 ,
  "ATTRIBUTE_CATEGORY" VARCHAR2(30 BYTE) ,
  "ATTRIBUTE1" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE2" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE3" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE4" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE5" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE6" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE7" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE8" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE9" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE10" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE11" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE12" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE13" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE14" VARCHAR2(240 BYTE) ,
  "ATTRIBUTE15" VARCHAR2(240 BYTE) 
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYS_RESOURCE_B"."RESOURCE_ID" IS '表ID，主键';
COMMENT ON COLUMN "SYS_RESOURCE_B"."URL" IS 'URL';
COMMENT ON COLUMN "SYS_RESOURCE_B"."TYPE" IS '资源类型';
COMMENT ON COLUMN "SYS_RESOURCE_B"."NAME" IS '资源名称';
COMMENT ON COLUMN "SYS_RESOURCE_B"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "SYS_RESOURCE_B"."LOGIN_REQUIRE" IS '是否需要登录';
COMMENT ON COLUMN "SYS_RESOURCE_B"."ACCESS_CHECK" IS '是否权限校验';


-- ----------------------------
-- Primary Key structure for table SYS_RESOURCE_B
-- ----------------------------
ALTER TABLE "SYS_RESOURCE_B" ADD CONSTRAINT "SYS_RESOURCE_B_PK" PRIMARY KEY ("RESOURCE_ID");

-- ----------------------------
-- Uniques structure for table SYS_RESOURCE_B
-- ----------------------------
ALTER TABLE "SYS_RESOURCE_B" ADD CONSTRAINT "SYS_RESOURCE_B_U1" UNIQUE ("URL") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_RESOURCE_B
-- ----------------------------
CREATE INDEX "SYS_RESOURCE_B_N1"
  ON "SYS_RESOURCE_B" ("TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

CREATE SEQUENCE  "SYS_RESOURCE_B_S"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 11801 CACHE 20 NOORDER  NOCYCLE